package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;


@Component
//@ConditionalOnProperty(name="com.mortal",prefix = "",havingValue = "xxx")
public class DemoStartedService implements IApplicationStartedService {
    
    private static Log logger = LogFactory.getLog(DemoStartedService.class);

    @Override
    public void start() {
        logger.info("开始服务..[配置已加载完成，并且所有框架都已经初始化]");

    }

    @Override
    public void stop() {
        logger.info("停止服务..");
    }

    @Override
    public int getOrder() {
        return 10;
    }

}
